Page MenuHomePhabricator

Delete original implementation of UniqueInternalLinkageNames pass
ClosedPublic

Authored by tmsriram on Mar 8 2021, 10:39 PM.

Details

Summary

Delete the former implementation of unique internal linkage names.

D96109 was recently submitted which contains the refactored implementation of -funique-internal-linakge-names by adding the unique suffixes in clang rather than as an LLVM pass. Deleting the former implementation in this change.

Diff Detail

Unit TestsFailed

TimeTest
120 msx64 windows > lld.MachO::function-starts.s
Script: -- : 'RUN: at line 3'; split-file C:\ws\w16c2-1\llvm-project\premerge-checks\lld\test\MachO\function-starts.s C:\ws\w16c2-1\llvm-project\premerge-checks\build\tools\lld\test\MachO\Output\function-starts.s.tmp

Event Timeline

tmsriram created this revision.Mar 8 2021, 10:39 PM
tmsriram requested review of this revision.Mar 8 2021, 10:39 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 8 2021, 10:39 PM
dblaikie accepted this revision.Mar 9 2021, 11:55 AM

Looks good, thanks!

This revision is now accepted and ready to land.Mar 9 2021, 11:55 AM
MaskRay accepted this revision.Mar 9 2021, 3:00 PM
hoy accepted this revision.Mar 9 2021, 5:42 PM

Nice to see the pass is replaced by a more robust approach, thanks!

This revision was landed with ongoing or failed builds.Mar 10 2021, 12:04 PM
This revision was automatically updated to reflect the committed changes.